Skip to main content
`Ctrl`+`K`

# DMPlexComputeInterpolatorNested

Form the local portion of the interpolation matrix from the coarse `DM` to a uniformly refined `DM`.

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexComputeInterpolatorNested(DM dmc, DM dmf, PetscBool isRefined, Mat In, void *user)

## Input Parameters

- dmc - The coarse mesh

- dmf - The fine mesh

- isRefined - Flag indicating regular refinement, rather than the same topology

- user - The user context

## Output Parameter

- In - The interpolation matrix

## See Also

DMPlex: Unstructured Grids, `DM`, `DMPLEX`, `DMPlexComputeInterpolatorGeneral()`

## Level

developer

## Location

src/dm/impls/plex/plexfem.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages